LINUX.ORG.RU

Сборка xf86-video-intel, вопрос по версии

 , ,


0

2

Бьюсь над одним багом, пока что поймал себя на мысли, «правильно ли я драйвер поставил».

Это понятно

git clone git://git.freedesktop.org/git/xorg/driver/xf86-video-intel
cd xf86-video-intel/
git checkout 2.21.15

./autogen.sh
./configure
make
sudo make install

ldconfig

Собственно вопрос, достаточно ли ldconfig, или всё таки надо вручную прописывать что-то в /etc/ld.so.conf.d, если да, то что?

Второй вопрос, как проверить версию используемого драйвера, какой-нибудь modinfo some_driver, чтоб удостовериться?

// debian wheezy

1. Никогда не делайте make install, каждый раз, когда вы так делаете, умирают котенок и 2 пони.

2. Зачем собирать драйвер в бинарном дистрибутиве?

Deleted ()
Ответ на: комментарий от Deleted

1. Никогда не делайте make install, каждый раз, когда вы так делаете, умирают котенок и 2 пони.

Котят жаль.
По существу?

2. Зачем собирать драйвер в бинарном дистрибутиве?

Нет времени объяснять. По существу?

Umberto ★☆ ()

Собственно вопрос, достаточно ли ldconfig

Достаточно.

Citramonum ★★ ()
Ответ на: комментарий от devl547

Предлагаю поставить из реп.

Давай, расскажи мне, как поставить libdrm-dev > 2.4.40 и, например, xserver-xorg-video-intel > 2.21.9, чтоб проверить баг на самосборных ядрах от 3.13 и выше?

Umberto ★☆ ()
Ответ на: комментарий от devl547

Подключить репы сида и курить документацию на aptitude или apt в районе ключа "-t"

Спасибо, этот метод работает только для одиноких пакетов, с несколькими зависимостями, когда можно их всех поставить скопом в виде

apt-get -t=testing install паке1=версия пакет2=версия

А для более важных пакетов там будет КРОВКИШКИ, поэтому я давно устроил себе генточку и собираю что нужно по мере надобности, тем более на обновлении это никак не сказывается, так как apt уверен, что пакеты из нужной репы.

Umberto ★☆ ()
Ответ на: комментарий от Umberto

Спасибо, этот метод работает только для одиноких пакетов
libdrm-dev > 2.4.40 и, например, xserver-xorg-video-intel > 2.21.9

Ну и?

devl547 ★★★★★ ()
Ответ на: комментарий от devl547

Ну и?

Jessie:libdrm-intel1 (2.4.54-1)
req. libc6 (>= 2.17)
Wheezy: libc6 (2.13-38+deb7u1)

Ты в этот тред пофлудить пришёл?

По второму вопросу есть что сказать?

Umberto ★☆ ()

версию в логах xorg видно.

irton ★★★★★ ()

мне кажется ты забыл ./configure --prefix=/usr сделать

вместо /usr бывает /usr/X11R7 еще, зависит от дистрибутива.

Еще неплохо бы определиться с поддержкой glamor и uxa vs sna, ./configure --help поможет молодому джедаю.

irton ★★★★★ ()

достаточно ли ldconfig

По умолчанию поставится в /usr/local, соответственно в путях ld.so.conf должны быть директории /usr/local/lib,/usr/local/lib64

В xorg.conf в секции Files должен быть _добавлен_ путь ModulePath "/usr/local/lib/xorg/modules"

И в каталоге /usr/lib64/xorg/modules не должно быть второго модуля для intel

arson ★★★★★ ()
Ответ на: комментарий от Umberto

поэтому я давно устроил себе генточку и собираю что нужно по мере надобности

Не проще обновиться до тестинга? Я так и сделал, увидев у себя 84 самостоятельно бэкпортированных бинарных пакета.

Gotf ★★★ ()
Ответ на: комментарий от Gotf

Не проще обновиться до тестинга?

Под него столько перепиливать придётся, начиная от темы gtk3 и до всяких чрутов.

Проблема (крах при закрытии крышки ноута) была в ядре, intel-bugfix и nightly постепенно перетёк в 3.16 ядро и шухер стих, а то пока искал причину перепробовал пересборку всех драйверов и обновление до тестинга.

увидев у себя 84 самостоятельно бэкпортированных бинарных пакета

А часто суть не в том, что свежие пакеты способ решения проблем, половина случаев это как раз необходимость поставить что-то специфической версии.

Был, например, один баг с парсингом ключей в httrack, так вот там только одна минорная незаметная версия корректно их хавала, остальные вели себя по несколько иной логике, отличной от манов.

Umberto ★☆ ()
Ответ на: комментарий от ValdikSS

В арче ldconfig делает сам пакман, неявно. Ну и в PKGBUILD таких вещей вообще никогда не будет, поскольку PKGBUILD исполняется на собирающей машине, а не на юзерской. Для таких вещей (менее распространённых, чем ldconfig) там есть install-скрипты.

intelfx ★★★★★ ()
Последнее исправление: intelfx (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.